[Buildroot] [PATCH 1/1] espeak : depends on MMU

Thomas De Schampheleire patrickdepinguin at gmail.com
Mon Aug 11 08:11:50 UTC 2014


Hi Arnaud,

arnaud at intelibre.fr schreef:
>From: Arnaud Aujon <arnaud at intelibre.fr>
>
>Fixes autobuild http://autobuild.buildroot.net/results/dae/dae5c59dfa127e1c3f9e3885cdd1b97e54d8fe41/
>and http://autobuild.buildroot.net/results/fa0/fa04a0fe7d7a201c5f733bd798c0da50ffb81271/
>
>espeak uses fork(), don't work on non-MMU platforms
>
>Signed-off-by: Arnaud Aujon <arnaud at intelibre.fr>
>---
> package/espeak/Config.in | 14 ++++++++------
> 1 file changed, 8 insertions(+), 6 deletions(-)
>
>diff --git a/package/espeak/Config.in b/package/espeak/Config.in
>index ec81893..57c7d18 100644
>--- a/package/espeak/Config.in
>+++ b/package/espeak/Config.in
>@@ -1,17 +1,19 @@
>-comment "espeak needs a toolchain w/ C++, wchar, threads"
>-	depends on !BR2_TOOLCHAIN_HAS_THREADS || !BR2_INSTALL_LIBSTDCPP || !BR2_USE_WCHAR
>-
> config BR2_PACKAGE_ESPEAK
> 	bool "espeak"
> 	depends on BR2_INSTALL_LIBSTDCPP
> 	depends on BR2_USE_WCHAR
> 	depends on BR2_TOOLCHAIN_HAS_THREADS
>+	depends on BR2_USE_MMU # fork()
> 	help
> 	  espeak is a speech synthesizer software for English and
> 	  other languages.
> 
> 	  http://espeak.sourceforge.net/
> 
>+comment "espeak needs a toolchain w/ C++, wchar, threads"
>+        depends on !BR2_TOOLCHAIN_HAS_THREADS || !BR2_INSTALL_LIBSTDCPP || !BR2_USE_WCHAR
>+        depends on BR2_USE_MMU
>+

While the moving of this comment seems to be the right thing to do, I believe this will break the indentation/nesting of the suboptions of espeak.

Best regards,
Thomas





More information about the buildroot mailing list